Bug 121877 - Erractic touchpad mouse behaviour and cursor moves
Erractic touchpad mouse behaviour and cursor moves
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: XFree86 (Show other bugs)
rawhide
i686 Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-28 16:41 EDT by Michael Opdenacker
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-12 03:03:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Opdenacker 2004-04-28 16:41:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040312

Description of problem:
Hello,

I reported this issue on X, but I'm not sure what's guilty
for this.

When I use the touchpad of my laptop as a mouse, the
mouse often displays an erratic behaviour:

- The mouse jumps to a completely different position on the screen
- Some windows are brought to the front, and some applications
  (like a web browser) behave as if one of their action buttons
  had been clicked. This is a pain as the applications don't do
  want you're trying to do with them, in particular before
  you're done entering input data!

This can happen up to several times per minute. This can
also stay several minutes without happening.

A work-around that works in 100% of the time for me
in to plug-in my USB weel mouse and stop using the touch pad.
Then, there is no longer any issue with the mouse cursor and
behaviour.

Note that this didn't happen in FC1. However, this happens
since FC1 T1 (was also there in FC2 T2), but I didn't take
time to report it.

I consider this as a severe issue as it makes it very uncomfortable
to use my laptop without an external mouse, which typically is
not convenient at all when travelling.

If some of you are facing this too, please share your
experience too on this bugzilla ticket!

Cheers,

Michael.

Version-Release number of selected component (if applicable):
xorg-x11-6.7.0-0.5

How reproducible:
Sometimes

Steps to Reproduce:
1. Take a laptop
2. Unplug external mice
3. Use the touchpad instead of the mouse
    

Additional info:

Here's how my mouse is declared in /etc/X11/XF86Config:

Section "InputDevice"
        Identifier  "Mouse0"
        Driver      "mouse"
        Option      "Protocol" "IMPS/2"
        Option      "Device" "/dev/input/mice"
        Option      "ZAxisMapping" "4 5"
        Option      "Emulate3Buttons" "yes"
EndSection

My touchpad is reported as a "SynPS/2 Synaptics Touchpad"
by the hardware browser.
Comment 1 Willie Zutz 2004-04-29 04:24:27 EDT
I also have this problem.  Another issue that I noticed that may be
related to this is the inability to click-drag/tap-click by tapping
your finger on the touchpad itself.  I find having to click and hold
the mouse button down to drag windows around/select text, etc (making
it a 2 handed job) very uncomfortable.

My hardware is the same.

XF86Config, the same.

I'm using Test 3 updated to the most recent packages as of 2:30AM MST
Comment 2 Daryll 2004-05-03 14:33:16 EDT
Same problem, reporting to get on the CC list. Erratic mouse movement,
the mouse wheel section of the pad doesn't function, and tapping the
pad does not produce a mouse click. It looks like the symantic mouse
pad isn't being recognized correctly. It worked nicely in FC1. 

This is an HP Pavilion ze5300 laptop. I did an upgrade from FC1 to FC2
test 3.
Comment 3 Harry Waye 2004-05-05 16:28:11 EDT
Same erratic motion, and same inability to tap-click.

Hardware: Advent 7011 Laptop.

I did experience the erratic motion in FC1, and am currently
experiencing something similar in FC2 test3 although I cannot be
certain that it is the same problem.  Mouse appeared to erratically
jump to the left top and bottom of the screen.  I to had "IMPS/2" in
XF86Config, and xorg.conf.  After changing to "PS/2" it seems ok, but
for how long?
Comment 4 Michael Opdenacker 2004-05-25 04:26:04 EDT
This still happens in FC2 final.
Hope a fix can be found soon...

Cheers,

Michael.
Comment 5 Mike A. Harris 2004-10-12 03:03:42 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.